from flask import Blueprint, render_template, jsonify
import random

main = Blueprint('main', __name__)

directions = ['up', 'right', 'down', 'left']

@main.route('/')
def index():
    return render_template('index.html')

@main.route('/play/<user_choice>')
def play(user_choice):
    computer_choice = random.choice(directions)
    result = "You win!" if user_choice == computer_choice else "You lose!"
    return jsonify({
        'user_choice': user_choice,
        'computer_choice': computer_choice,
        'result': result
    })
